# List all summary journal entries in a journal run This REST API reference describes how to retrieve information about all summary journal entries in a journal run. Endpoint: GET /v1/journal-entries/journal-runs/{jr-number} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. ## Path parameters: - `jr-number` (string, required) Journal run number. ## Response 200 fields (application/json): - `journalEntries` (array) Key name that represents the list of journal entries. - `journalEntries.accountingPeriodName` (string) Name of the accounting period that the journal entry belongs to. - `journalEntries.aggregateCurrency` (boolean) Returns true if the journal entry is aggregating currencies. That is, if the journal entry was created when the Aggregate transactions with different currencies during a JournalRun setting was configured to "Yes". Otherwise, returns false. - `journalEntries.currency` (string) Currency used. - `journalEntries.homeCurrency` (string) Home currency used. - `journalEntries.journalEntryDate` (string) Date of the journal entry. - `journalEntries.journalEntryItems` (array) Key name that represents the list of journal entry items. - `journalEntries.journalEntryItems.accountingCodeName` (string) Name of the accounting code. - `journalEntries.journalEntryItems.accountingCodeType` (string) Accounting code type. Note that On-Account Receivable is only available if you enable the Invoice Settlement feature. Enum: "AccountsReceivable", "On-Account Receivable", "Cash", "OtherAssets", "CustomerCashOnAccount", "DeferredRevenue", "SalesTaxPayable", "OtherLiabilities", "SalesRevenue", "SalesDiscounts", "OtherRevenue", "OtherEquity", "BadDebt", "OtherExpenses" - `journalEntries.journalEntryItems.amount` (string) Journal entry item amount in transaction currency. - `journalEntries.journalEntryItems.glAccountName` (string) The account number in the general ledger (GL) that corresponds to the accounting code. - `journalEntries.journalEntryItems.glAccountNumber` (string) The account name in the general ledger (GL) that corresponds to the accounting code. - `journalEntries.journalEntryItems.homeCurrencyAmount` (string) Journal entry item amount in home currency. - `journalEntries.journalEntryItems.type` (string) Type of journal entry item. Enum: "Credit", "Debit" - `journalEntries.notes` (string) Additional information about this record. Character limit: 2,000 - `journalEntries.number` (string) Journal entry number in the format JE-00000001. - `journalEntries.organizationLabel` (string) The organization that this object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `journalEntries.segments` (array) List of segments that apply to the summary journal entry. - `journalEntries.segments.segmentName` (string) Name of segment. - `journalEntries.segments.segmentValue` (string) Value of segment in this summary journal entry. - `journalEntries.status` (string) Status of journal entry. Enum: "Created", "Cancelled" - `journalEntries.timePeriodEnd` (string) End date of time period included in the journal entry. - `journalEntries.timePeriodStart` (string) Start date of time period included in the journal entry. - `journalEntries.transactionType` (string) Transaction type of the transactions included in the summary journal entry. - `journalEntries.transferDateTime` (string) Date and time that transferredToAccounting was changed to Yes. This field is returned only when transferredToAccounting is Yes. Otherwise, this field is null. - `journalEntries.transferredBy` (string) User ID of the person who changed transferredToAccounting to Yes. This field is returned only when transferredToAccounting is Yes. Otherwise, this field is null. - `journalEntries.transferredToAccounting` (string) Status shows whether the journal entry has been transferred to an accounting system. Enum: "No", "Processing", "Yes", "Error", "Ignore" - `nextPage` (string) URL to retrieve the next page of the response if it exists; otherwise absent. - `success` (boolean) Returns true if the request was processed successfully. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.